<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/src/types_package.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">types_package.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">----------------------------------------------------------------------------------</span><span class="keyword"></span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">-- Company: Boston University EDF</span><span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- Engineer: Dan Gastler</span><span class="keyword"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">----------------------------------------------------------------------------------</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="vhdlkeyword">library </span><span class="keywordflow">IEEE</span>;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="vhdlkeyword">use </span>IEEE.STD_LOGIC_1164.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="vhdlkeyword">use </span>ieee.numeric_std.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="code" href="classtypes.html">   10</a></span>&#160;<span class="keywordflow">package </span><a class="code" href="classtypes.html">types</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;  <span class="vhdlkeyword">type</span> <span class="vhdlchar">uint3_array_t</span>  <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span> <span class="vhdlchar">(</span><span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span> <span class="vhdllogic"></span><span class="vhdllogic">6</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;  <span class="vhdlkeyword">type</span> <span class="vhdlchar">uint7_array_t</span>  <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span> <span class="vhdlchar">(</span><span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span> <span class="vhdllogic"></span><span class="vhdllogic">6</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;  <span class="vhdlkeyword">type</span> <span class="vhdlchar">uint8_array_t</span>  <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span> <span class="vhdlchar">(</span><span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span> <span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;  <span class="vhdlkeyword">type</span> <span class="vhdlchar">uint10_array_t</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span> <span class="vhdlchar">(</span><span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span> <span class="vhdllogic"></span><span class="vhdllogic">9</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;   </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;  <span class="vhdlkeyword">type</span> <span class="vhdlchar">uint16_array_t</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span> <span class="vhdlchar">(</span><span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;  <span class="vhdlkeyword">type</span> <span class="vhdlchar">unsigned16_array_t</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span> <span class="vhdlchar">(</span><span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">unsigned</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  <span class="vhdlkeyword">type</span> <span class="vhdlchar">uint32_array_t</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span> <span class="vhdlchar">(</span><span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  <span class="vhdlkeyword">type</span> <span class="vhdlchar">uint36_array_t</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span> <span class="vhdlchar">(</span><span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">35</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  <span class="vhdlkeyword">type</span> <span class="vhdlchar">uint48_array_t</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span> <span class="vhdlchar">(</span><span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">47</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  <span class="vhdlkeyword">type</span> <span class="vhdlchar">uint64_array_t</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span> <span class="vhdlchar">(</span><span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">63</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  <span class="keyword"></span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">  --passing <span class="vhdlkeyword">of</span> </span><span class="vhdllogic">8b10b</span> data</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  <span class="vhdlkeyword">type</span> <span class="vhdlchar">data_8b10b_t</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span> <span class="vhdlchar">(</span><span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlchar">types</span>;</div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:31 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
